For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETList tariffs
        • POSTCreate tariff
        • GETList an organization's tariffs
        • PUTAssign a tariff
        • DELRemove an assigned tariff
        • GETTariff details
        • DELDelete a tariff
        • PATCHUpdate tariff
        • GETList tariff statuses
        • GETList ratezone statuses
        • GETList tariff ratezones
        • POSTCreate tariff ratezone
        • DELDelete tariff ratezone
        • PATCHUpdate tariff ratezone
        • DELDelete tariff ratezone
        • PUTAssign operator to tariff ratezone coverage
        • DELDelete operator from tariff ratezone coverage
        • POSTCreate ratezone rate
        • DELDelete ratezone rate
        • PUTAssign PDP context definition to tariff
        • DELDelete PDP context definition from tariff
LogoLogo
Request featuresContact support
API ReferenceTariffs

List tariffs

GET
https://cdn.emnify.net/api/v1/tariff
GET
/api/v1/tariff
$curl https://cdn.emnify.net/api/v1/tariff \
> -H "Authorization: Bearer <token>"
200Retrieved
1[
2 {
3 "id": 3,
4 "name": "Tariff for M2M Europe",
5 "description": "M2M Europe: Data+SMS",
6 "created": "2019-01-10T09:36:58.000Z",
7 "default_sms_mt_rate": 0.5,
8 "default_sms_mo_rate": 0.4,
9 "sim_issued_rate": 0.1,
10 "sim_activated_rate": 0.2,
11 "sim_suspended_rate": 0.3,
12 "sim_activation_rate": 0.6,
13 "sim_reactivation_rate": 0.8,
14 "sim_suspension_rate": 0.7,
15 "sim_termination_rate": 0.5,
16 "used_count": 2,
17 "assigned_count": 1,
18 "status": {
19 "description": "Active",
20 "id": 1
21 },
22 "currency": {
23 "code": "EUR",
24 "symbol": "€",
25 "id": 1
26 },
27 "data_blocksize": {
28 "id": 10,
29 "octets": 1,
30 "description": "exact"
31 },
32 "data_throttle": {
33 "id": 9,
34 "octets": 256000,
35 "description": "256 kbit/s"
36 },
37 "pdp_context_definition": [
38 {}
39 ]
40 }
41]
Returns the list of tariffs of the user's own organization.
Was this page helpful?
Previous

Remove a RAT type from the blacklist

Next

Create tariff

Built with

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Response

Model description
idinteger
namestring
descriptionstring
createdstring
default_sms_mt_ratedouble
default_sms_mo_ratedouble
sim_issued_ratedouble
sim_activated_ratedouble
sim_suspended_ratedouble
sim_activation_ratedouble
sim_reactivation_ratedouble
sim_suspension_ratedouble
sim_termination_ratedouble
used_countinteger
assigned_countinteger
statusobject
currencyobject
data_blocksizeobject
data_throttleobject
pdp_context_definitionlist of objects